From d859844feacdbc7542e023a9a22a4439e847094d Mon Sep 17 00:00:00 2001
From: Felix Ableitner <me@nutomic.com>
Date: Fri, 11 Dec 2020 15:56:20 +0100
Subject: [PATCH] use apk add, remove diesel migrate from test.sh

---
 .drone.yml | 3 +--
 test.sh    | 4 ++--
 2 files changed, 3 insertions(+), 4 deletions(-)

diff --git a/.drone.yml b/.drone.yml
index 60f4fb65..2e1423af 100644
--- a/.drone.yml
+++ b/.drone.yml
@@ -49,8 +49,7 @@ steps:
   - name: run federation tests
     image: node:15-alpine3.12
     commands:
-      - apt-get update
-      - apt-get -y install --no-install-recommends bash curl postgresql-client
+      - apk add bash curl postgresql-client
       - bash api_tests/prepare-drone-federation-test.sh
       - cd api_tests/
       - yarn
diff --git a/test.sh b/test.sh
index 02e4faee..ef2e608f 100755
--- a/test.sh
+++ b/test.sh
@@ -1,6 +1,6 @@
 #!/bin/sh
-export DATABASE_URL=postgres://lemmy:password@localhost:5432/lemmy
-diesel migration run
+set -e
+
 export LEMMY_DATABASE_URL=postgres://lemmy:password@localhost:5432/lemmy
 # Integration tests only work on stable due to a bug in config-rs
 # https://github.com/mehcode/config-rs/issues/158
-- 
2.44.1